<?php

namespace App\Form;

use App\Entity\MenuItem;
use App\Entity\ItemExtra;
use App\Entity\OrderItem;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

// ...

class OrderItemType extends AbstractType
{
    /**
     * @param FormBuilderInterface $builder
     * @param array{menuItem: MenuItem} $options
     * @return void
     */
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('extras', EntityType::class, [
                'class' => ItemExtra::class,
                'choices' => $options['menuItem']->getItemExtras(),
                'choice_label' => 'name', // Change this for the field you want to display
                'multiple' => true,
                'expanded' => true
            ]);
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => OrderItem::class,
        ]);

        $resolver->setRequired('menuItem');
        $resolver->setAllowedTypes('menuItem', MenuItem::class);
    }
}
